# Setup

This project requires Python3, which can be installed from `https://www.python.org/downloads/`.  
Run `pip install lxml httpx`

# Execute

Place relevant .xml files in the `input/` folder, then run `python3 pipeline.py`. This code is written for PLoS .xml files. Incompatible files will automatically be filtered out.

This first extracts information from the .xml files. The information extracted is:
- Source File
- Journal Title
- Journal Metadata
- Data Availability
- Article IDs
- Dates (Publication and History)
- Affiliations (Country)
- Corresponding Authors
- Further Data (Supplementary Material, Xref)
- Subjects
- Article Type (Discipline)
- Other Meta Groups

Afterwards parts of the extracted information are processed locally, while others are sent to Oddpub and softcite for analysis.

# Ouput

Once the script has finished, a .csv file can be found in the `output/` folder.

The file contains the following information:
- Name of the Journal
- Submission date
- Publication date
- Publication year
- DOI
- Type of Article
- Article Title
- Disciplines
- Country of Corresponding Author
- Text Sections where generated code is likely
- Was code generated
- Text Sections where shared code is likely
- Was code shared
- Where/How was Code Shared
- Data availability section of the article.