import re

generatingTriggers = []
sharingTriggers = []
sharingTriggersSupplementary = []
with open("gazettes/GeneratingTrigger") as gt:
    triggers = gt.readlines()
    for trigger in triggers:
        generatingTriggers.append(trigger.strip())
with open("gazettes/SharingTrigger") as st:
    triggers = st.readlines()
    for trigger in triggers:
        sharingTriggers.append(trigger.strip())
with open("gazettes/SharingTriggerSupplementaryMaterial") as st:
    triggers = st.readlines()
    for trigger in triggers:
        sharingTriggersSupplementary.append(trigger.strip())

GAZETTEER_GENERATING = "generating"
GAZETTEER_SHARING = "sharing"
GAZETTEER_SHARING_SUPPLEMENTARY = "sharing_supplementary"

gazetteers = {
    GAZETTEER_GENERATING: generatingTriggers,
    GAZETTEER_SHARING: sharingTriggers,
    GAZETTEER_SHARING_SUPPLEMENTARY: sharingTriggersSupplementary
}

def gazette(text, gazetteer):
    matches = []
    for trigger in gazetteers[gazetteer]:
        for match in re.finditer(r'\b' + trigger.casefold() + r'\b', text.casefold()):
            matched = { 
                "Trigger": trigger,
                "context": text[max(0, match.span()[0] - 30):min(match.span()[1]+30,len(text))]
                }
            matches.append(matched)

    return matches